Subject: Re: source code for 'ps' command ?
From: [email-masked] (Enrico Brunetta)

23 Oct 1996 12:08:24 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
	<[email-masked]>
Original-To: Geoffrey Noer <[email-masked]>
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

Geoffrey Noer ([email-masked]) wrote on Oct 22, 1996 15:17:
>> I just downloaded the distribution and found a ps.exe (which works fine)
>> 
>> I was wondering why there is no source code for the command (I'm a NT newbie
>> that would like to know how the ps program interfaces with the OS).
>
>src/winsup/utils/ps.cc

Thanks for indicating the source code location, as it turns out my download was
aborted and I was missing that directory tree.

On the other hand, it seems to me that the 'ps' command is monitoring just
subprocesses of bash. Is that true ? If so, is there any other command that
will allow me to see every single process on my machine ? 

Thanks,
Enrico.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".